3.1

    -   [source only] move gladtex.py to gleetex/main.py
3.0.1

    -   fix AtributeError when specifying `-E`


3.0.0

    -   new features and incompatible changes:
        -   add `-P` command-line switch to be used as a Pandoc document filter,
            see <https://pandoc.org/filters.html>
        -   add environment variable `GLADTEX_ARGS` to pass command-line
            switches when used as pandocfilter where passing additional
            arguments is impossible
        -   redefine colour handling: use xcolor package, therefore handling
            text and background colour the same way for both PNG and SVG
        -   add SVG support for scalable images
        -   use SVG output by default
        -   gleetex.htmlhandling.HtmlImageFormatter: rename link_path to
            link_prefix
    -   bug fixes:
        -   correctly parse HTML5 file encoding declarations
        -   add more exceptions to the unicode table for the unicode replacement
            mode (see -R)
        -   treat -d as a relative path

2.3.1 Avoid useless spaces

    -   When formula replacement with `-R` is requested, it could happen that
        additional spaces were inserted, even if not necessary. "für" would for
        instance become "f\"{u} r". Fixed.

2.3 Fix formula sizing

    -   It seems as if 16px / 12pt were the default font size these days for
        browsers. Therefore, the default resolution has been set to 115 DPI.
        Furthermore, the DPI switch now accepts pt values for fontsizes and will
        calculate the corresponding DPI itself.
    -   When the environment variable `DEBUG=1` is set, the full backtrace will be
        printed.
    -   Extend unicode table creation script to allow blacklisting of certain
        commands.

2.2.1 - fix handling of non-ascii alphabetical characters

    -   replace characters with diacritics in the LaTeX source, but keep the
        unmodified character in image alt attribute (for better readibility)

2.2 - make alternative text of formulas more readable

    -   replace formatting commands in alt attribute; this shortens the
        formula and makes it mor readable
    -   replace unicode signs also in alt attribute (good for screen reader
        users and text-mode browsers)
    -   recognize upper-case `ENV` attribute of `EQ` tag (so that e.g.
        displaymath is recognized correctly)

2.1.1 Bug Fix Release

    -   treat eq element content as verbatim
    -   decode HTML entities within formula tags

2.1 add support for unicode math with translation table
    -   handle subprocess stdin and stdout encoding properly
    -   set UTF-8 as encoding for all LaTeX documents
    -   add -R option (replace non ascii characters)
        -   formulas in .htex documents may now contain umlauts or unicode math
            characters; conversion will work without adjustments, only -R has to
            be specified
    -   handle encoding better and more strictly for LaTeX 2E

2.0.1 Bug Fix Release
    -   show user a meaningful error message if LaTeX or dvipng is missing
    -   setup.py: build manual page, if pandoc present
    -   freeze multiprocessing on Windows, to make executables distributable

2.0 - make GladTeX truely platform independent
    -   add formula number in error output; makes tracking of formulas easier in
        error case
    -   write man page
    -   set css class correctly for display math formulas
    -   HTML label/id generation:
        -   do not create overlong id's
        -   do only generate id's starting with an alphabetical character
        -   squeeze multiple identical characters
    -   reparse outsourced formulas correctly (was a mixture of formatted vs.
        unformatted formulas)
    -   do not use absolute links when operating on file which is not in current
        working directory
    -   be more careful with backslashes vs. slashes
    -   allow formulas consisting only of numbers (i.e. example calculations) by
        prefixing "form_" in front of the HTML id (id must start with a letter
        but may be followed by digits)
    -    allow removal of unreadable caches with the `-n` switch (extend library
        with this functionality)
    -    introduce `-m` switch to print the output in a less concise, but more
        machine-parseable format

1.6 - complete rewrite
    - rewrite GladTeX fully in Python
        - allows easy compilation into a binary for a specific platform
        - comes with a new library to use GladTeX functionality within other
          applications
        - fully unit-tested
    - enable piping support; GladTeX can read from stdin and write to stdout
    - drop -t switch; image is either transparent by default or has a background
      color which can be set with -b
    - drop -s switch
    - introduce -o (output) option
    - introduce new cache format containing version numbers; json, so
      interface to other programming languages

1.5 - Introduce options to make embedding of GladTeX easier
    - Try to parse LaTeX's error output and display it to help users to find the
      issue quicker and to make GladTeX better embeddable.
    - Add option to remove error log file, produced by LaTeX, automatically.
    - Rewrite some help messages.
    - Add signal handling to get meaningful error messages if GladTeX hangs.

1.4.2 - bug fix release
    - Add some eval's to cope with some failures.
    - Since there were some incompatibilities between Perl 5.10 and 5.18 in how
      the cache of the generated images is stored, GladTeX now removes this file
      along with all images starting with "eqn" and generates them again.

1.4.1 - bug fix release
    - Remove desc.html if created and empty

1.4 - put LaTeX equations into alt tag for text-mode browsers and blind people
      (and disabled images)
    - If requested (-a), exclude equations longer than 80 characters in an extra
      file and make the equation image a link to the longer, excluded image
      alternative
    - eqn2img: patch to allow building on windows
    - Change build system from make to cmake
    - Refactored gladtex code a lot to allow the usage of "use strict/use
      warnings"
    - Fix bug where multiple equations couldn't be on a single (html) line
    - Rework manpage

1.3 - Un-escape common entities before processing equations
    - Update man page with CSS class options
    - Add support for setting the CSS class of images when the
      environment is "math" or "displaymath"
    - eqn2img: changed redirection syntax (from dvips to /dev/null)
      for portability
    - GladTeX: exit with status 1 when a closing EQ tag is missing
    - GladTeX: print error messages to stderr instead of stdout
    - Fix environment-passing to eqn2img
    - Add support for a "dpi" attribute on EQ tags to customize the
      DPI used for each equation

1.2 - Fixed a serious memory allocation error, pointed out by Eric J.
      Francois. Also fixed several leaks.
    - Added full alpha channel to PNG files (also suggested by Eric)
    - The -e option was ignored, fixed (pointed out by Andr\'e Schleife)
    - Added man page, contributed by Volker Schatz

1.1 - Portability fixes: Do not assume a specific location for perl
      (use "env" in the shebang line) and do not rely on the bash style
      "&>" redirection.

1.0 - Image alignment workaround (most browsers interpret
      "ALIGN=MIDDLE" somewhat strangely, so it has been changed
      to "STYLE=vertical-align: -xx")
    - Added cache file, so that gladtex doesn't have to regenerate
      images for equations that haven't changed.
    - Added ENV option (as in <EQ ENV=align*>) to support environments
      other than "displaymath".
    - Bug fixes.
 
0.3 - Added BoundingBox workaround (dvips sometimes outputs wrong
      BoundingBox, for instance when using \mathbb{})
    - Moved the whole "LaTeX eqn to image" conversion into the C code,
      turning  the C program (renamed from pngmodify to eqn2img) into
      a standalone utility (e.g. echo '\sqrt{2}' | eqn2img -o
      eqn.png).
    - Added colour options (-c -b and -t).
    - Fixed bug causing segfault when adding space _above_ an image.
    - Fixed image reusing bug (in 0.2 image reuse didn't work across
      separate files when processing files outside startup cwd).
    - And some other minor bugs and cosmetic changes.
    - Makefile added to distribution

0.2 - First official release, completely rewritten code.

0.1 - Used only internally at the Dept. of Mathematics at the Univ. of Oslo
      July-August 1999 (for the project "Matteknekker'n") under the name
      htmleqn.
# vim: set expandtab sts=4 ts=4 sw=4 expandtab:
